Linux Mind Italia

  • Domenica 12 Luglio 2020, 18:37:04
  • Benvenuto, Visitatore
Effettua l'accesso o una nuova registrazione.

Inserisci il nome utente, la password e la durata della sessione.
Ricerca avanzata

News:

Prova LibreOffice 6.3  < clicca qui >

collapse

* Utenti On Line

  • Dot Visitatori: 94
  • Dot Nascosti: 0
  • Dot Utenti: 1
  • Dot Utenti Online:

Autore Topic: [RISOLTO] Impossibile installare WINE, pacchetti danneggiati  (Letto 1283 volte)

Sergei

  • New Mind
  • *
  • Offline Offline
  • Post: 8
  • Distro: Linux Mint
[RISOLTO] Impossibile installare WINE, pacchetti danneggiati
« il: Lunedì 23 Dicembre 2019, 13:46:51 »

(spero che la sezione sia giusta :p)

Buongiorno e auguri a tutti :)

Questa mattina mi sono svegliato con wine che non funziona bene (giuro di non aver fatto niente ieri, ho spento il pc senza problemi e non c'è stato alcun aggiornamento), mi dava errore runtime aprendo qualsiasi programma. Ho disinstallato e provato a reinstallare e lì è partito tutto il caos di questa mattina.
Se provo a dare il comando di installazione ottengo questo:
Codice: [Seleziona]
sudo apt install --install-recommends winehq-stable
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 winehq-stable : Dipende: wine-stable (= 4.0.3~bionic)
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.

Ho provato a dare
sudo apt-get install -f
ma niente da fare, stessa cosa.
Ho girato tutto il web provando tutte le soluzione proposte per i pacchetti danneggiati ma niente, stesso errore. Se provo dal gestore pacchetti a fare ripara pacchetti mi dà:
Codice: [Seleziona]
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
E: Errore, pkgProblemResolver::Resolve ha generato delle interruzioni. Questo potrebbe essere causato da pacchetti bloccati.
E: Impossibile correggere le dipendenze
E: Errore, pkgProblemResolver::Resolve ha generato delle interruzioni. Questo potrebbe essere causato da pacchetti bloccati.
E: Impossibile correggere le dipendenze


C'è qualche soluzione o devo per forza formattare?
Ho Linux Mint 19.1 a 64bit
« Ultima modifica: Mercoledì 25 Dicembre 2019, 12:56:09 da Sergei »
Connesso

midnite

  • Staff
  • Legend Mind
  • ******
  • Offline Offline
  • Post: 12869
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #1 il: Lunedì 23 Dicembre 2019, 15:04:45 »

Apri il gestore di pacchetti synaptic e seleziona la voce "ripara i pacchetti danneggiati" dal menù in alto.

Sergei

  • New Mind
  • *
  • Offline Offline
  • Post: 8
  • Distro: Linux Mint
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #2 il: Lunedì 23 Dicembre 2019, 15:47:25 »

Ciao Midnite,
grazie per la risposta. Come scritto sopra se provo mi dà:
Codice: [Seleziona]
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
E: Errore, pkgProblemResolver::Resolve ha generato delle interruzioni. Questo potrebbe essere causato da pacchetti bloccati.
E: Impossibile correggere le dipendenze
E: Errore, pkgProblemResolver::Resolve ha generato delle interruzioni. Questo potrebbe essere causato da pacchetti bloccati.
E: Impossibile correggere le dipendenze

Questo errore però me lo dà solo se seleziono prima il pacchetto di wine. Se provo a fare Ripara di pacchetti danneggiati, senza selezionare nulla, non succede niente.

EDIT:
ho notato che se provo a risalire alle dipendenze che mancano, esempio:
winehq-stable : Dipende: wine-stable (= 4.0.3~bionic)
e provo a installare wine-stable che mi dirà che dipende da un'altra cosa, arrivo a libpulse0:i386 che se provo a installare mi dà:

Codice: [Seleziona]
    I seguenti pacchetti hanno dipendenze non soddisfatte:
     libpulse0 : Rompe: libpulse0:i386 (!= 1:11.1-1ubuntu7.5) ma la versione 1:11.1-1ubuntu7.4 sta per essere installata
     libpulse0:i386 : Rompe: libpulse0 (!= 1:11.1-1ubuntu7.4) ma la versione 1:11.1-1ubuntu7.5 sta per essere installata
    E: Errore, pkgProblemResolver::Resolve ha generato delle interruzioni. Questo potrebbe essere causato da pacchetti bloccati.
« Ultima modifica: Lunedì 23 Dicembre 2019, 16:08:06 da Sergei »
Connesso

midnite

  • Staff
  • Legend Mind
  • ******
  • Offline Offline
  • Post: 12869
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #3 il: Lunedì 23 Dicembre 2019, 16:25:04 »

Ciao Midnite,
grazie per la risposta. Come scritto sopra se provo mi dà:
Codice: [Seleziona]
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
E: Errore, pkgProblemResolver::Resolve ha generato delle interruzioni. Questo potrebbe essere causato da pacchetti bloccati.
E: Impossibile correggere le dipendenze
E: Errore, pkgProblemResolver::Resolve ha generato delle interruzioni. Questo potrebbe essere causato da pacchetti bloccati.
E: Impossibile correggere le dipendenze
questo dovrebbe accadere col comando da terminale, ma non se usi synaptic

Questo errore però me lo dà solo se seleziono prima il pacchetto di wine. Se provo a fare Ripara di pacchetti danneggiati, senza selezionare nulla, non succede niente.
dopo che hai "riparato" i pacchetti usando synaptic, devi aggiornare la cache (o pulsante aggiorna o da terminale) e poi puoi provare a reinstallare qualcosa

Sergei

  • New Mind
  • *
  • Offline Offline
  • Post: 8
  • Distro: Linux Mint
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #4 il: Lunedì 23 Dicembre 2019, 16:45:47 »

niente, mi sa mi tocca formattare :(
Connesso

drugo

  • Hero Mind
  • *****
  • Offline Offline
  • Post: 1786
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #5 il: Lunedì 23 Dicembre 2019, 20:29:52 »

Prova a dare un'occhiata qua forse può servire.
Connesso

midnite

  • Staff
  • Legend Mind
  • ******
  • Offline Offline
  • Post: 12869
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #6 il: Martedì 24 Dicembre 2019, 11:29:41 »

se vuoi formattare sei liberissimo di farlo, il pc è tuo, ma non credo serva ... specialmente se come hai detto non hai fatto nulla per danneggiare il sistema.
dici che hai premuto il pulsante per la riparazione dei pacchetti danneggiati e che non hai ottenuto alcun errore ... e poi cos'hai fatto? perché a questo punto non dovrebbe più darti l'errore.
hai anche bloccato dei pacchetti per qualche motivo (solitamente per mantenere una certa versione)? puoi sbloccarli e ripetere il comando per la correzione automatica dei pacchetti danneggiati.
se a questo punto ti da ancora errori posta l'output del comando
Codice: [Seleziona]
sudo apt -f install

Sergei

  • New Mind
  • *
  • Offline Offline
  • Post: 8
  • Distro: Linux Mint
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #7 il: Martedì 24 Dicembre 2019, 11:35:16 »

Codice: [Seleziona]
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.

Sì, infatti, non vorrei che pur formattando il problema rimanga :(
Grazie mille ad entrambi comunque :)
Connesso

midnite

  • Staff
  • Legend Mind
  • ******
  • Offline Offline
  • Post: 12869
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #8 il: Martedì 24 Dicembre 2019, 13:43:35 »

non ci sono errori in quello che hai postato... direi che il problema dei pacchetti danneggiati è risolto.
ora riesci ad installare wine? ... prova sempre dal gestore pacchetti synaptic

Sergei

  • New Mind
  • *
  • Offline Offline
  • Post: 8
  • Distro: Linux Mint
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #9 il: Martedì 24 Dicembre 2019, 21:28:35 »

Niente. Stesso problema :(
Ho provato pure a fare l'upgrade a Mint 19.3 senza successo ovviamente.

Oggi avendo due minuti (ore) di tempo ho formattato. Wine ora si installa senza problemi (per ora  ;D).
« Ultima modifica: Martedì 24 Dicembre 2019, 21:55:24 da Sergei »
Connesso

Sergei

  • New Mind
  • *
  • Offline Offline
  • Post: 8
  • Distro: Linux Mint
Re:Impossibile installare WINE, pacchetti danneggiati
« Risposta #10 il: Mercoledì 25 Dicembre 2019, 12:55:46 »

Chiedo scusa se butto su di nuovo questo topic, ma ho scoperto, se pur troppo tardi che il problema era pulseaudio.
Se qualcun altro avesse questo problema basta tornare alla versione precedente col comando:

Codice: [Seleziona]
sudo aptitude install pulseaudio=1:11.1-1ubuntu7.4
Connesso